.TH wxCaret 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxCaret \- See external documentation: wxCaret\&.
.SH DESCRIPTION
.LP
See external documentation: wxCaret <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxCaret()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Window::wxWindow() (see module wxWindow), Size::{W::integer(), H::integer()}) -> wxCaret()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretwxcaret>\&.
.RE
.LP
.B
new(Window::wxWindow() (see module wxWindow), Width::integer(), Height::integer()) -> wxCaret()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretwxcaret>\&.
.RE
.LP
.B
create(This::wxCaret(), Window::wxWindow() (see module wxWindow), Size::{W::integer(), H::integer()}) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretcreate>\&.
.RE
.LP
.B
create(This::wxCaret(), Window::wxWindow() (see module wxWindow), Width::integer(), Height::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretcreate>\&.
.RE
.LP
.B
getBlinkTime() -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretgetblinktime>\&.
.RE
.LP
.B
getPosition(This::wxCaret()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretgetposition>\&.
.RE
.LP
.B
getSize(This::wxCaret()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretgetsize>\&.
.RE
.LP
.B
getWindow(This::wxCaret()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretgetwindow>\&.
.RE
.LP
.B
hide(This::wxCaret()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcarethide>\&.
.RE
.LP
.B
isOk(This::wxCaret()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretisok>\&.
.RE
.LP
.B
isVisible(This::wxCaret()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretisvisible>\&.
.RE
.LP
.B
move(This::wxCaret(), Pt::{X::integer(), Y::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretmove>\&.
.RE
.LP
.B
move(This::wxCaret(), X::integer(), Y::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretmove>\&.
.RE
.LP
.B
setBlinkTime(Milliseconds::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretsetblinktime>\&.
.RE
.LP
.B
setSize(This::wxCaret(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretsetsize>\&.
.RE
.LP
.B
setSize(This::wxCaret(), Width::integer(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretsetsize>\&.
.RE
.LP
.B
show(This::wxCaret()) -> ok
.br
.RS
.LP
Equivalent to show(This, [])\&.
.RE
.LP
.B
show(This::wxCaret(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {show, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcaret\&.html#wxcaretshow>\&.
.RE
.LP
.B
destroy(This::wxCaret()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
